Profiles¶
Operations on profiles. Available on the client as client.profiles.
profiles.create¶
async def create(scenario_guid: str, request: ProfileJsonRequestDto) -> ProfileResponseDto
Create a new profile in a scenario.
REST operation: POST /sympheny-app/scenarios/{scenarioGuid}/profiles-json
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
scenario_guid |
str |
yes | GUID of the scenario. |
request |
ProfileJsonRequestDto |
yes | Request body. |
Returns: ProfileResponseDto
async with AsyncSympheny(username, password) as client:
profile = await client.profiles.create(scenario_guid, request)
with Sympheny(username, password) as client:
profile = client.profiles.create(scenario_guid, request)
profiles.list¶
async def list(scenario_guid: str) -> list[ProfileResponseDto]
List the profiles of a scenario.
REST operation: GET /sympheny-app/scenarios/{scenarioGuid}/profiles
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
scenario_guid |
str |
yes | GUID of the scenario. |
Returns: list of ProfileResponseDto
async with AsyncSympheny(username, password) as client:
profiles = await client.profiles.list(scenario_guid)
with Sympheny(username, password) as client:
profiles = client.profiles.list(scenario_guid)
profiles.get¶
async def get(scenario_guid: str, profile_id: int) -> ProfileDetailsResponseDto
Get profile details.
REST operation: GET /sympheny-app/scenarios/{scenarioGuid}/profiles/{profileId}
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
scenario_guid |
str |
yes | GUID of the scenario. |
profile_id |
int |
yes | Numeric id of the profile. |
Returns: ProfileDetailsResponseDto
async with AsyncSympheny(username, password) as client:
profile = await client.profiles.get(scenario_guid, profile_id)
with Sympheny(username, password) as client:
profile = client.profiles.get(scenario_guid, profile_id)
profiles.update¶
async def update(
scenario_guid: str,
profile_id: int,
request: ProfileDetailsResponseDto,
) -> ProfileDetailsResponseDto
Update a profile.
REST operation: PUT /sympheny-app/v2/scenarios/{scenarioGuid}/profiles-json/{profileId}
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
scenario_guid |
str |
yes | GUID of the scenario. |
profile_id |
int |
yes | Numeric id of the profile. |
request |
ProfileDetailsResponseDto |
yes | Request body. |
Returns: ProfileDetailsResponseDto
async with AsyncSympheny(username, password) as client:
profile = await client.profiles.update(scenario_guid, profile_id, request)
with Sympheny(username, password) as client:
profile = client.profiles.update(scenario_guid, profile_id, request)
profiles.delete¶
async def delete(scenario_guid: str, profile_id: int) -> None
Delete a profile.
REST operation: DELETE /sympheny-app/scenarios/{scenarioGuid}/profiles/{profileId}
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
scenario_guid |
str |
yes | GUID of the scenario. |
profile_id |
int |
yes | Numeric id of the profile. |
Returns: None
async with AsyncSympheny(username, password) as client:
await client.profiles.delete(scenario_guid, profile_id)
with Sympheny(username, password) as client:
client.profiles.delete(scenario_guid, profile_id)